Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/Timer_Queue.h File Reference

`#include "ace/Synch_Traits.h"`
`#include "ace/Timer_Queuefwd.h"`
`#include "ace/Timer_Queue_T.h"`
`#include "ace/Recursive_Thread_Mutex.h"`

Include dependency graph for Timer_Queue.h:

This graph shows which files directly or indirectly include this file:

## Typedefs
typedef ACE_Timer_Node_Dispatch_Info_T< ACE_Event_Handler * > | ACE_Timer_Node_Dispatch_Info
typedef ACE_Timer_Node_T< ACE_Event_Handler * > | ACE_Timer_Node
typedef ACE_Timer_Queue_Iterator_T< ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall< ACE_SYNCH_RECURSIVE_MUTEX >, ACE_SYNCH_RECURSIVE_MUTEX > | ACE_Timer_Queue_Iterator

## Detailed Description

Id:
  Timer_Queue.h,v 4.36 2003/11/05 23:30:47 shuston Exp

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu> , Irfan Pyarali <irfan@cs.wustl.edu>

## Typedef Documentation

typedef ACE_Timer_Node_T<ACE_Event_Handler *> ACE_Timer_Node

typedef ACE_Timer_Node_Dispatch_Info_T<ACE_Event_Handler *> ACE_Timer_Node_Dispatch_Info

typedef ACE_Timer_Queue_Iterator_T<ACE_Event_Handler *, ACE_Event_Handler_Handle_Timeout_Upcall<ACE_SYNCH_RECURSIVE_MUTEX>, ACE_SYNCH_RECURSIVE_MUTEX> ACE_Timer_Queue_Iterator